local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 0
end

local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onBegin()

  if getFlag("plantou3") then

    disablePause()
    disableMovement()
    doFadeWipe(false)
    wait(0.75)

    setFlag("cactoplantado")
    doFadeWipe(true)
    wait(0.75)
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_cactoplantado"))

    setFlag("comcacto", false)
    setFlag("plantou3", false)
    enablePause()
    enableMovement()

  end

end